/**
 * {一些常量}
 * @author yutent<yutent.io@gmail.com>
 * @date 2022/09/06 11:54:56
 */

export const JS_EXP = /(?<=\n|^)<script[^>]*?>([\w\W]*?)<\/script>/
export const STYLE_EXP = /(?<=\n|^)<style([^>]*?)>([\w\W]*?)<\/style>/g
export const HTML_EXP = /(?<=\n|^)<template[^>]*?>([\w\W]*?)\n<\/template>/
export const V_DEEP = /:deep\(([^)]*?)\)(.*)/

export const CSS_SHEET_EXP = /([%@\w\.,#\-:>\+\~\|\(\)\[\]"'\=\s]+)\{/g
export const PERCENT_EXP = /^\d+%$/

export const COMMON_HEADERS = {
  'Cache-Control': 'no-store'
}

export const SHEETS_DEF =
  'const __sheets__ = [...document.adoptedStyleSheets];\n'
